pub mod area;
pub mod assignment;
pub mod assignment_changeset;
pub mod availability;
pub mod availability_assignment_state;
pub mod availability_changeset;
pub mod clothing;
pub mod event;
pub mod event_changeset;
pub mod export_event_row;
pub mod function;
pub mod location;
pub mod password_reset;
pub mod registration;
pub mod role;
pub mod user;
pub mod user_changeset;
pub mod user_funtion;
pub mod vehicle;
pub mod vehicle_assignment;

use chrono::NaiveDateTime;

type Result<T> = std::result::Result<T, sqlx::Error>;

fn start_date_time_lies_before_end_date_time<T>(
    value: &(NaiveDateTime, NaiveDateTime),
    _context: &T,
) -> garde::Result {
    if value.0 >= value.1 {
        return Err(garde::Error::new("endtime can't lie before starttime"));
    }

    Ok(())
}
